Skip to content
Permalink
Browse files

deps: patch V8 to run on older XCode versions

Patch V8 (compiler/js-heap-broker.cc) to remove the use of an optional
property, which is a fairly new C++ feature, since that requires a newer
XCode version than the minimum requirement in BUILDING.md and thus
breaks CI.

PR-URL: nodejs#29694
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>
Reviewed-By: Anna Henningsen <anna@addaleax.net>
Reviewed-By: Gus Caplan <me@gus.host>
Reviewed-By: Jiawen Geng <technicalcute@gmail.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: Tobias Nießen <tniessen@tnie.de>
Reviewed-By: Ujjwal Sharma <usharma1998@gmail.com>
  • Loading branch information
ryzokuken authored and targos committed Sep 14, 2019
1 parent 3681050 commit b8d4407b9a13d810c4aaa9324e03dbe2efabb626
Showing with 3 additions and 2 deletions.
  1. +1 −1 common.gypi
  2. +1 −0 deps/v8/src/compiler/js-heap-broker.cc
  3. +1 −1 deps/v8/src/interpreter/interpreter.cc
@@ -39,7 +39,7 @@

# Reset this number to 0 on major V8 upgrades.
# Increment by one for each non-official patch applied to deps/v8.
'v8_embedder_string': '-node.2',
'v8_embedder_string': '-node.3',

##### V8 defaults for Node.js #####

@@ -4203,6 +4203,7 @@ GlobalAccessFeedback::GlobalAccessFeedback(PropertyCellRef cell,

GlobalAccessFeedback::GlobalAccessFeedback(FeedbackSlotKind slot_kind)
: ProcessedFeedback(kGlobalAccess, slot_kind),
cell_or_context_(base::nullopt),
index_and_immutable_(0 /* doesn't matter */) {
DCHECK(IsGlobalICKind(slot_kind));
}
@@ -280,7 +280,7 @@ Interpreter::NewSourcePositionCollectionJob(
auto job = std::make_unique<InterpreterCompilationJob>(parse_info, literal,
allocator, nullptr);
job->compilation_info()->SetBytecodeArray(existing_bytecode);
return job;
return std::unique_ptr<UnoptimizedCompilationJob> { static_cast<UnoptimizedCompilationJob*>(job.release()) };
}

void Interpreter::ForEachBytecode(

0 comments on commit b8d4407

Please sign in to comment.
You can’t perform that action at this time.